Skip to main content
PATCH
/
hooks
/
{hook_id}
Update Hook
curl --request PATCH \
  --url https://api.crosoftware.com/v0/hooks/{hook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "secret": "<string>"
}
'
import requests

url = "https://api.crosoftware.com/v0/hooks/{hook_id}"

payload = {
"url": "<string>",
"events": ["<string>"],
"secret": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: '<string>', events: ['<string>'], secret: '<string>'})
};

fetch('https://api.crosoftware.com/v0/hooks/{hook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deleted_at": "2023-11-07T05:31:56Z",
  "events": [
    "<string>"
  ],
  "id": 123,
  "last_http_fail": "2023-11-07T05:31:56Z",
  "last_http_success": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "secret": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

hook_id
integer<int64>
required

Webhook identifier.

Body

application/json

Update webhook model.

url
string
required

Callback URL.

events
string[]

Hook event.

secret
string

Response body HMAC signing key.

Response

200 - application/json

Success

Webhook model.

deleted_at
string<date-time>
required

Denial date.

events
string[]
required

Hook event.

id
integer<int64>
required

Resource identifier.

last_http_fail
string<date-time>
required

Last time of url webhook execution failure.

last_http_success
string<date-time>
required

Last time of url webhook execution success.

url
string
required

Callback URL.

secret
string

Response body HMAC signing key.